petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLogObjects

Determines whether objects are logged for the graphical viewer.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogObjects(PetscBool flag)

Not Collective

### Input Parameter

flag -PETSC_TRUE if objects are to be logged

Note: Logging of objects continues to consume more memory as the program runs. Long running programs should consider turning this feature off.

### Options Database Keys

-log_exclude_objects -Turns off objects logging

### See Also

PetscLogStagePush(), PetscLogStagePop()

### Level

intermediate

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages